.\" @(#)SDFtelephoneChannel.t	1.2	12/17/92
.NA telephoneChannel
.SD
Simulate impairments commonly found on a telephone channel,
including additive Gaussian noise, linear and nonlinear distortion,
frequency offset, and phase jitter.
.DE
.CO "1991 The Regents of the University of California"
.LO "SDF comm palette (galaxy)"
.DM SDF SDFGalaxy
.SV 1.2	12/17/92
.AL "E. A. Lee"
.IH
.NE
\fIin\fR (float)
.PE
.OH
.NE
\fIout\fR (float)
.PE
.SH
.NE
\fIlinearDistortionTaps\fR (FloatArray): The taps of an FIR filter emulating the linear
distortion on the telephone channel.  The default value is a null filter that imposes
no distortion at all.
.DF "1.0"
.NE
\fInoise\fR (FloatState): The multiplier applied to the Gaussian noise source, which
has a variance per sample of 1.0.
.DF "0.0"
.NE
\fIphaseJitterFrequency_Hz\fR (FloatState): The phase jitter frequency in hertz (assuming
a sample rate of 8 kHz).
.DF "0.0"
.NE
\fIphaseJitterAmplitude_Deg\fR (FloatState): The phase jitter amplitude (peak) in degrees.
.DF "0.0"
.NE
\fIfrequencyOffset_Hz\fR (FloatState): The frequency offset in hertz (assuming
a sample rate of 8 kHz).
.DF "0.0"
.NE
\fIsecondHarmonic\fR (FloatState): The gain applied to second harmonic distortion (gotten
by squaring the signal).
.DF "0.0"
.NE
\fIthirdHarmonic\fR (FloatState): The gain applied to third harmonic distortion (gotten
by cubing signal).
.DF "0.0"
.ET
.LD
.Se freqPhase SDF
.Se nonLinearDistortion SDF
This galaxy first applies an FIR filter to the input, then runs it through the
.c freqPhase
galaxy to introduce controlled amounts of frequency offset and phase jitter.
Gaussian white noise is added to the result, as is the output of the
.c nonLinearDistortion
galaxy, which introduces non-linear distortion.
All parameters are set assuming a sample rate of 8 kHz.
.SA
freqPhase
nonLinearDistortion
.ES
